#pragma once
#include <gint/display.h>

#define BAR_WIDTH     16
#define BAR_Y         48
#define BAR_HEIGHT    (DHEIGHT - BAR_Y - 16)
#define BAR_BASE_FILL 0.5

struct Bar {
	int x;
	int y;
	int height;
	float fill;
};

enum BarID { BAR_CASH, BAR_HUMAN, BAR_SMILE, BAR_SUN };

struct Bar bar_init(enum BarID bar_id);
void bar_update(struct Bar *bar);
void bar_draw(struct Bar bar);
